huber                  package:MASS                  R Documentation

Huber M-estimator of Location with MAD Scale

Description:

     Finds the Huber M-estimator of location with MAD scale.

Usage:

     huber(y, k = 1.5, tol = 1e-06)

Arguments:

       y: vector of data values 

       k: Winsorizes at 'k' standard deviations 

     tol: convergence tolerance 

Value:

     list of location and scale parameters

      mu: location estimate 

       s: MAD scale estimate 

References:

     Huber, P. J. (1981) _Robust Statistics._ Wiley.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'hubers', 'mad'

Examples:

     huber(chem)

